Subject: [Sip] About Contact List info Stored in XDMS

From: "Leo Lv" <[email-masked]>
Date: Fri, 7 Mar 2008 15:52:10 +0800

Hi All,

I am developing IMS client base on IETF SIMPLE/OMA standard, It can upload contact list to XDMS by XCAP protocol.
When the IMS client startup or in ruing, It can download and synchronization from XDMS by XCAP and SIP SUBSCRIBE.
Mostly it looks like MSN contact management.

I am troubling with the contact information format which should be stored in XDMS.
For example, a contact in MSN like below:
Frist Name, Last Name, Nick Name, E-Mail, Home Phone number, Office Phone number and other infomation.

Now I am using RFC4826 resource list to store these info,
but RFC4826 just define the entry with URI and Display Name, so other info should be defined by other extenstion XMLs.

I read the PIDF, CIPID, RPID and OMA standards, but I didn't got any value info about format such message.
Such as store the Frist Name, Last Name, Telephone number.

If any one know about it, please give me some notes, thank you!!

Best regards,

Leo Lv
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip